Capsule API Example

Loading...
Searching...
No Matches
Public Member Functions | List of all members
capsule::client::ClassificationProductivity Class Referencefinal

Interface to Productivity process. More...

`#include <ClassificationProductivity.hpp>`

Inherits capsule::client::Classification.

## Public Member Functions
| ClassificationProductivity (Device &owner)
void | SetOnMetricsUpdateEvent (std::function< void(ClassificationProductivity &, const productivity::Metrics &)> &&callback)
void | SetOnIndexesUpdateEvent (std::function< void(ClassificationProductivity &, const productivity::Indexes &)> &&callback)
void | SetOnBaselineUpdateEvent (std::function< void(ClassificationProductivity &, const productivity::Baselines &)> &&callback)
void | SetOnCalibrationProgressUpdateEvent (std::function< void(ClassificationProductivity &, float)> &&callback)
void | SetOnIndividualNFBUpdateEvent (std::function< void(ClassificationProductivity &)> &&callback)
void | RequestIndexesState ()
| request to measure and send status indexes - GetOnIndexesStateEvent will receive a response within 5 minutes
void | StartBaselineCalibration ()
| it is necessary to calibrate the getting values
void | ResetAccumulatedFatigue ()
| Reset accumulated fatigue.
void | ImportBaselines (const productivity::Baselines &baseline)
| Imports baseline values.
Public Member Functions inherited from capsule::client::Classification
bool | IsValid () const noexcept
| Classification (const Classification &)=delete
Classification & | operator= (const Classification &)=delete
| Classification (Classification &&rhs) noexcept
Classification & | operator= (Classification &&rhs) noexcept

## Additional Inherited Members
Public Types inherited from capsule::client::Classification
enum class | ClassifierType : uint8_t { Cardio = 0 , Emotions = 1 , NFB = 1 << 1 , MEMS = 1 << 2 , Physiological = 1 << 4 , Productivity = 1 << 5 }
Protected Member Functions inherited from capsule::client::Classification
| Classification (std::unique_ptr< ClassificationPrivate > &&pimpl)
virtual | ~Classification ()
void | CheckValid () const
template<typename T >
T * | castImpl ()
template<typename T >
const T * | castImpl () const
Protected Attributes inherited from capsule::client::Classification
ClassificationPrivate * | m_pimpl

## Detailed Description

Interface to Productivity process.

Before calling any of the functions make sure that:

- A valid Session created with Client::CreateSession is passed to the constructor.
- Session is active.

Model might need to be trained before it is able to calculate user productivity state. And need to be calibration baselines

In order to train model you should:

- Mark each state at least once, with duration no less than a time window

## Constructor & Destructor Documentation

## ◆ ClassificationProductivity()

capsule::client::ClassificationProductivity::ClassificationProductivity | ( | Device & | owner | ) |
| explicit

## Member Function Documentation

## ◆ ImportBaselines()

void capsule::client::ClassificationProductivity::ImportBaselines | ( | const productivity::Baselines & | baseline | ) |

Imports baseline values.

## ◆ RequestIndexesState()

void capsule::client::ClassificationProductivity::RequestIndexesState | ( |  | ) |

request to measure and send status indexes - GetOnIndexesStateEvent will receive a response within 5 minutes

make sure that the process of initialization and measurement of individual alpha range was successful

Returns
  call result.

## ◆ ResetAccumulatedFatigue()

void capsule::client::ClassificationProductivity::ResetAccumulatedFatigue | ( |  | ) |

Reset accumulated fatigue.

## ◆ SetOnBaselineUpdateEvent()

void capsule::client::ClassificationProductivity::SetOnBaselineUpdateEvent | ( | std::function< void(ClassificationProductivity &, const productivity::Baselines &)> && | callback | ) |

## ◆ SetOnCalibrationProgressUpdateEvent()

void capsule::client::ClassificationProductivity::SetOnCalibrationProgressUpdateEvent | ( | std::function< void(ClassificationProductivity &, float)> && | callback | ) |

## ◆ SetOnIndexesUpdateEvent()

void capsule::client::ClassificationProductivity::SetOnIndexesUpdateEvent | ( | std::function< void(ClassificationProductivity &, const productivity::Indexes &)> && | callback | ) |

## ◆ SetOnIndividualNFBUpdateEvent()

void capsule::client::ClassificationProductivity::SetOnIndividualNFBUpdateEvent | ( | std::function< void(ClassificationProductivity &)> && | callback | ) |

## ◆ SetOnMetricsUpdateEvent()

void capsule::client::ClassificationProductivity::SetOnMetricsUpdateEvent | ( | std::function< void(ClassificationProductivity &, const productivity::Metrics &)> && | callback | ) |

## ◆ StartBaselineCalibration()

void capsule::client::ClassificationProductivity::StartBaselineCalibration | ( |  | ) |

it is necessary to calibrate the getting values

The documentation for this class was generated from the following file:

- C:/builds/bci/capsule/CapsuleClient/Include/ClassificationProductivity.hpp